gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A list of potential targets for a paste or drag-and-drop operation. GLib.Opaque
- Constructor
  Basic constructor
- Constructor
  Constructor
  an array of
- Constructor
  Internal constructor
  a

  This is an internal constructor, and should not be used by user code.

- Method
  System.Void `` `` `` Add a target type to the target list the target type, as a target flags (for a drag-and-drop target, this is a value) application-defined ID for this target type
- Method
  System.Void `` `` `` Add a target type to the target list the target type, as a string target flags (for a drag-and-drop target, this is a value) application-defined ID for this target type
- Method
  System.Void `` Add entries to the target list an array of
- Method
  System.Boolean `` `` Find a given target type the target type to find, as a on output, will contain the target's application-defined ID if the target was found
- Method
  System.Boolean `` `` Find a given target type the target type to find, as a string on output, will contain the target's application-defined ID if the target was found
- Method
  System.Void `` Remove an entry from the target list the target to remove, as a
- Method
  System.Void `` Remove an entry from the target list the target to remove, as a string
- Method
  System.Void `` Adds the target types for URIs to the target list application-defined ID for these target types Appends the URI targets supported by to the target list. All targets are added with the same .
- Method
  System.Void `` `` Adds the target types for images to the target list application-defined ID for these target types if , only add the target types for which Gtk knows how to convert a to the format. Appends the image targets supported by to the target list. All targets are added with the same .
- Method
  System.Void `` Adds the target types for text to the target list application-defined ID for these target types Appends the text targets supported by to the target list. All targets are added with the same .
- Method
  Gtk.TargetEntry[] `` A . Converts a to an array of . An equivalent array of .
- Method
  System.Void `` `` `` an ID to be passed back to the application. if , then deserializable targets will be added, otherwise serializable targets. the text buffer containing the registered targets. Appends the rich text targets registered with a text buffer. See and for details of registration.
- Property
  GLib.GType Native GType. For internal use by language bindings.